<?php

namespace DocumentBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Routing\Annotation\Route;
use DocumentBundle\Classe\Bouquin;

class LivreController extends Controller
{

    /**
     * @Route("/livre", name="document_livre")
     */
    public function getLivreAction ()
    {
        $livre = new Bouquin();
        $livre->setId(80);
        $livre->setTitre("Les fesses de la crémière");


        return $this->render("@Document\Document\livre.html.twig", array(
            "livre"     =>  $livre
        ));
    }

    /**
     * @Route ("/affichelivre/{id}", name="document_affichelivre")
     */
    public function afficheLivreAction($id) {

        $em = $this->getDoctrine()->getManager();
        $rep = $em->getRepository("DocumentBundle:Livre");
        $livre =  $rep->find($id);

        return $this->render ("@Document\Document\livre.html.twig", array (
            "livre" =>  $livre
        ));
    }

    /**
     * @Route ("/affichelivreauteur/{id}", name="document_auteur")
     */
    public function afficheLivreAuteurAction ($id)
    {
        $em = $this->getDoctrine()->getManager();
        $rep = $em->getRepository('DocumentBundle:Auteur');
        $auteur = $rep->find($id);

        return $this->render('@Document\Document\auteur.html.twig', array(
            "auteur" =>  $auteur
        ));
    }

    /**
     * @Route ("/invite/{id}", name="document_invite")
     */
    public function inviteAction ($id)
    {
        $em = $this->getDoctrine()->getManager();
        $rep = $em->getRepository('DocumentBundle:Invite');
        $invite = $rep->find($id);
        $auteur = $invite->getAuteur();


        return $this->render('@Document\Document\auteur.html.twig', array(
            "auteur" =>  $auteur
        ));
    }


    public function derniersLivresAction ()
    {
        $phrase = "Les 3 derniers livres";
        return $this->render ("@Document\Document\derniers.html.twig", array (
            "phrase" =>  $phrase
        ));
    }

}
